Skip to main content
`Ctrl`+`K`

# DMGetStratumSize

Get the number of points in a label stratum

## Synopsis

    #include "petscdm.h"
    #include "petscdmlabel.h"
    #include "petscds.h"
    PetscErrorCode DMGetStratumSize(DM dm, const char name[], PetscInt value, PetscInt *size)

Not Collective

## Input Parameters

- dm - The `DM` object

- name - The label name of the stratum

- value - The stratum value

## Output Parameter

- size - The number of points, also called the stratum size

## See Also

DM Basics, `DM`, `DMLabelGetStratumSize()`, `DMGetLabelSize()`, `DMGetLabelIds()`

## Level

beginner

## Location

src/dm/interface/dm.c

Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages